#!/bin/sh
export DOMAIN_MAIL_DIR=/var/mail/vhosts/some.domain/user1/Maildir 
export ARCHIVE_MONTH=$(date --date='-2 months' +"%Y-%m")
if [ ! -d "$DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH" ]; then
  mkdir $DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH
  mkdir $DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH/cur
  chown -R vmail $DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH
  chgrp -R vmail $DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH
fi
find $DOMAIN_MAIL_DIR/cur -type f -mtime +60 -exec mv "{}" $DOMAIN_MAIL_DIR/.archive.$ARCHIVE_MONTH/cur/ \;
