#!/bin/bash
#
# check-yum-updates.sh
#
# checks for yum updates and emails if there are any available
#
     
yumtmp="/tmp/updates.tmp"
yum="/usr/bin/yum"
     
$yum check-update >& $yumtmp
yumstatus="$?"
date=$(date +"%d-%m-%Y")
     
case $yumstatus in
0)
# no updates!
echo "0" > /tmp/updates
exit 0
;;
*)
number=$(cat $yumtmp | egrep '(.i386|.x86_64|.noarch|.src|.i686)' | wc -l)
#updates=$(cat $yumtmp | egrep '(.i386|.x86_64|.noarch|.src|i686)')
echo $number > /tmp/updates
;;
esac
